#ifndef __PY_CLASSES_H__
#define __PY_CLASSES_H__

#include "Python.h"
#include "map.h"
#include "units.h"

struct ShipObject {
	PyObject_HEAD
	Unit* unit;
};

PyObject* ship_init(ShipObject* self, PyObject* pArgs);
PyObject* ship_display(ShipObject* self, PyObject* pArgs);
PyObject* ship_setlocation(ShipObject* self, PyObject* args, PyObject* kw);
PyObject* ship_colorize(ShipObject* self, PyObject* args, PyObject* kw);
void Init_ShipType();
PyObject* New_Ship(PyTypeObject* type, PyObject* args, PyObject* kw);
void Destroy_Ship(ShipObject* self);

#endif /* __PY_CLASSES_H__ */

